Results 1 to 10 of 10

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Have to jailbreak 4.3.5 to downgrade so I can do an untethered jailbreak?

  1. #1
    Default Have to jailbreak 4.3.5 to downgrade so I can do an untethered jailbreak?
    I haven't really been thinking this through.

    I was just about to jailbreak my 3GS when I realized I didn't know how I was going to accomplish this, hoping someone here can steer me in the right direction.

    Just was told I do have to jailbreak before I can downgrade, so I can do that, but when redsn0w asks what .ipsw I want, can I just select the one I need for an untethered jailbreak? Or do I need to go with 4.3.4 like I've been told, then downgrade to another .ipsw, and re-jailbreak?

    The idea of this scares me just because I've been told if I screw up I could be stuck with AT&T as a carrier permanently. Any help would be appreciated, I'm obviously pretty confused as where to start.

  2. #2
    Livin the iPhone Life
    Join Date
    May 2008
    Posts
    8,021
    Thanks
    102
    Thanked 789 Times in 731 Posts

    Ignore the advisor ... false information.

    Before anything ... What SHSH blobs do you have? Use Tiny Umbrella and Save SHSH.
    All restores except the very latest (edit: and 4.1 for 3GS) require blobs.
    Last edited by Mes; 2011-08-22 at 06:39 AM. Reason: Add 4.1

  3. The Following User Says Thank You to Mes For This Useful Post:

    BearTrapSnap (2011-08-23)

  4. #3
    I found a blob for 4.1!

    I'm scared to do anything because of that message about updating basebands. If I pick this SHSH and downgrade, will it leave me stuck with AT&T because this would be "stock Apple firmware"? Or for that matter, do I need to jailbreak again after I do this?

    Sorry about a million questions, I'm clueless here. I have jailbroken now, but I'll wait before I try and downgrade. I just really want an untethered version. After some glitchy behavior from WinterBoard forcing me to restart multiple times I'm already tired of having to connect it.
    Last edited by BearTrapSnap; 2011-08-22 at 09:18 AM.

  5. #4
    Livin the iPhone Life
    Join Date
    Nov 2007
    Location
    Arkham Asylum
    Posts
    1,041
    Thanks
    12
    Thanked 104 Times in 103 Posts

    Quote Originally Posted by BearTrapSnap View Post
    I found a blob for 4.1!

    I'm scared to do anything because of that message about updating basebands. If I pick this SHSH and downgrade, will it leave me stuck with AT&T because this would be "stock Apple firmware"? Or for that matter, do I need to jailbreak again after I do this?

    Sorry about a million questions, I'm clueless here. I have jailbroken now, but I'll wait before I try and downgrade. I just really want an untethered version. After some glitchy behavior from WinterBoard forcing me to restart multiple times I'm already tired of having to connect it.
    A jailbreak and an unlock are two different things. The jailbreak has nothing to do with using ATT as a carrier.

    As Mes said anything beside 4.1 will require an shsh blob and if these weren't saved before then there is no way to save them now. You can use iFaith to extract the shsh blob from your current fw but if its already at 4.3.4-4.3.5 then those shsh blobs aren't really useful as of right now because none of the shsh programs (like iFaith) support them.

    If you want an untethered jb then I would suggest going back down to the 4.1 fw if you don't have any other shs blobs saved.

    You can create a custom fw using either sn0wbreeze or pwnagetool to preserve your baseband for the unlock, however if your baseband is already upgraded then there is no need to do this and you will have to install the 06.15.00 ipad baseband in order to unlock the device and use any other carrier then ATT.
    Last edited by ihappy; 2011-08-22 at 02:44 PM. Reason: added info

  6. The Following User Says Thank You to ihappy For This Useful Post:

    BearTrapSnap (2011-08-23)

  7. #5
    Green Apple
    Join Date
    Nov 2007
    Location
    Piatra Neamt, Romania
    Posts
    43
    Thanks
    7
    Thanked 69 Times in 3 Posts

    You can try to be more specific. If your current Baseband modem is unlockable with ultrasn0w all you have to do is the following:
    Chapter 1 Download 4.1 ipsw and sn0wbreeze 2.1 (google it) then the last version of sn0wbreeze. Use the 2.1 sn0wbreeze and create a custom ipsw for your phone (select advanced mode and check Activate phone). After the custom firmware is ready close SB 2.1 and start the latest version. Select Run iReb (left corner up) and follow the steps to put iPhone on DFU. Let SB to do his magic and after it's done shift restore on iTunes (option if you use a mac to restore) and select the 4.1 custom firmware. Be carefull use ONLY the steps above not Tinyumbrella tss or modified hosts.!!!!! When the restore it's done download ultrasn0w from cydia and enjoy
    Chapter 2 If you have a baseband that it is not vulnerable tu ultrasn0w you have to download a 4.3.3 ipsw and redsn0w 0.9.8b4. Still on 4.3.5 you put the phone on DFU start redsn0w point it to 4.3.3 and in the next step check ONLY the install iPad baseband. When it will finish and restart the phone will be un restore screen (connect to iTunes screen). Put the phone in DFU and follow Chapter 1 steps.
    Dont forget to press Thanks button.

  8. The Following User Says Thank You to thunderica For This Useful Post:

    BearTrapSnap (2011-08-23)

  9. #6
    Livin the iPhone Life
    Join Date
    Nov 2007
    Location
    Arkham Asylum
    Posts
    1,041
    Thanks
    12
    Thanked 104 Times in 103 Posts

    Quote Originally Posted by thunderica View Post
    Chapter 2 If you have a baseband that it is not vulnerable tu ultrasn0w you have to download a 4.3.3 ipsw and redsn0w 0.9.8b4. Still on 4.3.5 you put the phone on DFU start redsn0w point it to 4.3.3 and in the next step check ONLY the install iPad baseband. When it will finish and restart the phone will be un restore screen (connect to iTunes screen). Put the phone in DFU and follow Chapter 1 steps.
    Dont forget to press Thanks button.
    I'm not sure redsn0w 0.9.8b4 has an option to allow the install of the ipad baseband. I have tried on 4.1 and 4.3.3 fw and no option ever pops up.

    However it does pop up on redsn0w 0.9.6rc16. You can use that to install the ipad baseband for the unlock and then use the lastest version (0.9.8b4 or b5 as stated above) to install cydia and ultrasn0w.

    http://osxdaily.com/2011/05/08/redsn...rc16-download/

  10. The Following User Says Thank You to ihappy For This Useful Post:

    BearTrapSnap (2011-08-23)

  11. #7
    I should have been more specific...

    I'm stuck in my contract with At&T for now, but I'll likely switch carriers when it's over. That's probably not for another year, so all I guess I need right now is an untethered jailbreak. Since I still have 4.3.5, can I just use redsn0w with the 4.3.3 .ispw and... Then I re-jailbreak?

    Thanks for all the replies, I'll be sure to thank everyone when I get back to my PC.

  12. #8
    Livin the iPhone Life
    Join Date
    Nov 2007
    Location
    Arkham Asylum
    Posts
    1,041
    Thanks
    12
    Thanked 104 Times in 103 Posts

    Quote Originally Posted by BearTrapSnap View Post
    I should have been more specific...

    I'm stuck in my contract with At&T for now, but I'll likely switch carriers when it's over. That's probably not for another year, so all I guess I need right now is an untethered jailbreak. Since I still have 4.3.5, can I just use redsn0w with the 4.3.3 .ispw and... Then I re-jailbreak?

    Thanks for all the replies, I'll be sure to thank everyone when I get back to my PC.
    Well if you are on 4.3.5 fw then there is no way to get an untethered jailbreak unless you downgrade back to 4.3.3 fw or lower and the only way to downgrade is have your shsh blobs saved.

    Apple is still allowing the restore of 4.1 fw so you should still be able to downgrade to that and retain an untethered jailbreak.

    4.3.4-4.3.5 are both tethered jailbreaks.

  13. #9
    But I've already got a tethered jailbreak on my 4.3.5, guess I shouldn't have been so impatient.

    So, back to square one. The little pop-up message from Tiny Umbrella scares me, warning that if I revert to stock apple firmware, (is that what my 4.1 SHSH would be?) it could update my baseband.

    This seems like a lot of work at this point, so instead of creating custom .ispws and the like, if I decide to just stick with AT&T, is it safe to simply downgrade using Tiny Umbrella? And then, even though I have a tethered jailbreak, will I need to do the JB process again if I revert back to the older iOS?

  14. #10
    Livin the iPhone Life
    Join Date
    Nov 2007
    Location
    Arkham Asylum
    Posts
    1,041
    Thanks
    12
    Thanked 104 Times in 103 Posts

    shsh blobs are device specific and have nothing to do with the carrier.

    If you didn't save them during their appropriate signing window then there is no way to get anymore. The only way to get an untethered jailbreak would be to restore back to 4.1 fw.

    Now seeing that you are on 4.3.5 fw and if you didn't preserve your baseband already, then its been updated and so the only option would be to update to the ipad baseband if you require an unlock for any other carrier so the warning that TU gives you shouldn't be a concern anymore.

    The jailbreak process will always need to be redone after a restore to a different firmware unless you created a custom fw which basically has the jb built in.
    Last edited by ihappy; 2011-08-23 at 06:05 AM. Reason: added info

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •